Skip to main content
GET
/
datasources
/
{datasource_id}
/
data-elements
Python
from meibel import MeibelClient

client = MeibelClient(api_key="your-api-key")

# Pagination - iterate over all items
for item in client.datasources.data_elements.list("datasource_id_value"):
    print(item)
{
  "items": [
    {
      "id": "<string>",
      "datasource_id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "media_type": "<string>",
      "metadata": {},
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  ],
  "next_cursor": "<string>",
  "has_next": false
}

Documentation Index

Fetch the complete documentation index at: https://docs.meibel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Meibel-API-Key
string
header
required

Path Parameters

datasource_id
string
required

Query Parameters

cursor
string | null

Cursor for pagination

limit
integer
default:100

Maximum items to return

Required range: 1 <= x <= 1000

Response

Successful Response

Paginated list of data elements.

items
DataElementResponse · object[]
required

Page of data elements

next_cursor
string | null

Pass to the next request as cursor to fetch the next page. Null when there are no more pages

has_next
boolean
default:false

True if more pages are available